Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.types
Class NMToken

    java.lang.Object
      org.apache.axis.types.NormalizedString
          org.apache.axis.types.Token
              org.apache.axis.types.NMToken

All Implemented Interfaces:
  Serializable

public class NMToken
extends Token

Custom class for supporting XSD data type NMToken

NMTOKEN represents the NMTOKEN attribute type from [XML 1.0(Second Edition)]. The value space of NMTOKEN is the set of tokens that match the Nmtoken production in [XML 1.0 (Second Edition)]. The base type of NMTOKEN is token.

Author:
  Chris Haddad
See Also:
  XML Schema 3.3.4, Serialized Form

Constructor Summary
`NMToken()`
`NMToken(String stValue)` ctor for NMToken

Method Summary
`boolean` | `isValid(String stValue)` validate the value against the xsd definition Nmtoken ::= (NameChar)+ NameChar ::= Letter | Digit | '.' | '-' | '_' | ':' | CombiningChar | Extender

Methods inherited from class org.apache.axis.types.NormalizedString
`equals, hashCode, setValue, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NMToken

    public NMToken()

### NMToken

    public NMToken(String stValue)
            throws IllegalArgumentException

  ctor for NMToken

Throws:
  `IllegalArgumentException` - will be thrown if validation fails

Method Detail

### isValid

    public boolean isValid(String stValue)

  validate the value against the xsd definition Nmtoken ::= (NameChar)+ NameChar ::= Letter | Digit | '.' | '-' | '_' | ':' | CombiningChar | Extender

  Overrides:
    `isValid` in class `Token`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.